订阅本站
收藏本站
微博分享
QQ空间分享

GNU C Library getaddrinfo函数栈缓冲区溢出漏洞(CVE-2016-3706)

alen 分类:安全维护 时间:2018/11/20 00:00:00 评论: 加入收藏
GNU C Library getaddrinfo函数栈缓冲区溢出漏洞(CVE-2016-3706)


发布日期:2016-06-10
更新日期:2016-06-12

受影响系统:

GNU C Library (glibc)

描述:


CVE(CAN) ID: CVE-2016-3706

glibc是GNU发布的libc库,即c运行库。

GNU C Library (glibc或libc6) sysdeps/posix/getaddrinfo.c/getaddrinfo函数存在栈缓冲区溢出漏洞。远程攻击者通过hostent转换,可造成拒绝服务。

<*来源:Florian Weimer
 
  *>

建议:


厂商补丁:

GNU
---
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4ab2ab03d4351914ee53248dc5aef4a8c88ff8b9

https://sourceware.org/bugzilla/show_bug.cgi?id=20010

Linux升级Glibc  http://www.linuxidc.com/Linux/2015-04/116472.htm

危险!GHOST(幽灵)漏洞曝光  http://www.linuxidc.com/Linux/2015-01/112496.htm

GNU glibc 爆 gethostbyname 缓冲区溢出漏洞  http://www.linuxidc.com/Linux/2015-01/112486.htm

glibc gethostbyname缓冲区溢出漏洞(CVE-2015-0235)  http://www.linuxidc.com/Linux/2015-01/112516.htm

Linux glibc幽灵漏洞测试与修复方法 http://www.linuxidc.com/Linux/2015-01/112562tm

Glibc 的详细介绍:请点这里
Glibc 的下载地址:请点这里

本文永久更新链接地址:http://www.linuxidc.com/Linux/2016-06/132223.htm 

TAG:

文章评论

留言与评论(共有 0 条评论)
   
验证码: